This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 134184 - unable to remove iiimf-le-hangul cleanly
unable to remove iiimf-le-hangul cleanly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF FC3Blocker
  Show dependency treegraph
 
Reported: 2004-09-29 22:18 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: im-sdk-12.0.1-10.svn1943
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 22:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-09-29 22:18:24 EDT
Description of problem:
Error messages have been observed after removing HangulLE.

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-9.svn1936
- iiimf-le-hangul-12.0.1-9.svn1936

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh iiimf-* (im-sdk packages)
2.rpm -e iiimf-le-hangul
3.
  
Actual results:
[root@engtester root]# rpm -e `rpm -qa |grep iiimf-le`
/var/tmp/rpm-tmp.59647: line 2: syntax error near unexpected token `fi'
/var/tmp/rpm-tmp.59647: line 2: `fi'
error: %postun(iiimf-le-hangul-12.0.1-9.svn1936) scriptlet failed,
exit status 2

Expected results:
Removed with no error message

Additional info:
Comment 1 Jens Petersen 2004-09-29 23:42:39 EDT
My bad - fixed in cvs.
Comment 2 Lawrence Lim 2004-09-30 00:06:22 EDT
Some additional info, after the error message.

Also please note that this bug relates to fresh im-sdk -9 install
(remove /usr/lib/im) and uninstall -9. 

---
[root@engtester locale]# ls -la
total 24
drwxr-xr-x  3 root root 4096 Sep 30 14:00 .
drwxr-xr-x  3 root root 4096 Sep 30 14:00 ..
drwxr-xr-x  2 root root 4096 Sep 30 14:00 ko_KR
[root@engtester locale]# pwd
/usr/lib/im/locale
Comment 3 Lawrence Lim 2004-09-30 00:09:31 EDT
More information.

--
[root@engtester locale]# rpm -qa |grep iiimf
[root@engtester locale]#

[root@engtester locale]# cd /usr/lib/im/locale/ko_KR/
[root@engtester ko_KR]# ls
[root@engtester ko_KR]# ls -la
total 16
drwxr-xr-x  2 root root 4096 Sep 30 14:00 .
drwxr-xr-x  3 root root 4096 Sep 30 14:00 ..
[root@engtester ko_KR]#
Comment 4 Jens Petersen 2004-09-30 00:31:53 EDT
Thanks for comment 3: the ownership of /usr/lib/im/locale/ko_KR/
should get fixed in next build.
Comment 5 Akira TAGOH 2004-09-30 12:01:58 EDT
should be fixed in 12.0.1-10.svn1943. please try.
Comment 6 Lawrence Lim 2004-09-30 22:37:54 EDT
Confirmed fixed in 12.0.1-10.svn1943. Thanks.

Note You need to log in before you can comment on or make changes to this bug.